<?php

/**
 * OpenID local language definitions for Moodle
 *
 * This file should be used to define local changes to the language strings for
 * the OpenID authentication plugin.  If you want to change any of the strings
 * in /mod/openid/lang/en_utf8/openid.php then you should add them to this file.
 *
 * @author Stuart Metcalfe <info@pdl.uk.com>
 * @copyright Copyright (c) 2007 Canonical
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 */

// The following definitions, if used, replace the hard-coded error messages
// used in the Janrain library.  To replace a particular message, the message
// should be converted to lower case; have spaces replaced with underscores and
// have anything except alphanumeric chars and underscores removed.  It should
// then have 'auth_openid_' prepended.  This is then the name of the language
// string.
//
// For example, the rather cryptic (from a user's point of view) message:
// "Nonce missing from store"
//
// becomes:
// $string['openid_nonce_missing_from_store']='My message';
//
// which can then be defined as a more user-friendly message asking the user
// to try again and perhaps refrain from refreshing the page or using their
// back button next time.
//
// $string['auth_openid_nonce_missing_from_store']='My message';
// $string['auth_openid_no_session_state_found']='My message';
// $string['auth_openid_http_request_failed']='My message';
// $string['auth_openid_missing_required_field']='My message';
// $string['auth_openid_server_id_delegate_mismatch']='My message';
// $string['auth_openid_server_denied_check_authentication']='My message';
// $string['auth_openid_missing_argument_signature']='My message';
// $string['auth_openid_bad_signature']='My message';

?>
